#IF 0

  @@@@@@  @@@       @@@      @@@        @@@@@@@@@  @@@@@    @@@@  @@@@@@@@@
 @@@@@@  @@@@      @@@@@   @@@@@@      @@@@@@@@@@ @@@@@@  @@@@@@ @@@@@@@@@@
 @@@@    @@@@      @@@@@  @@@@@@       @@@@@@@@@  @@@@   @@@@    @@@@@@@@@
 @@@@@@  @@@@     @@@ @@@ @@@@            @@@@    @@@@@@ @@@@@      @@@@
 @@@@@   @@@@     @@@ @@@ @@@@ @@@        @@@@    @@@@@@  @@@@@     @@@@
 @@@@    @@@@@@   @@@@@@@ @@@@ @@@        @@@@    @@@@     @@@@@    @@@@
 @@@@    @@@@@@@@ @@@@@@@ @@@@@@@@        @@@@    @@@@@@ @@@@@@     @@@@
 @@@     @@@@@@@@ @@@ @@@  @@@@@@@        @@@      @@@@@ @@@@@      @@@

FlagTest
Jimi Malcolm
MalcolmJ1@Juno.com
http://guide.ticalc.ORG

	Test the status of the flags are changed by a call.  You can test both
ROM calls and your own.  Here's how:
	1.	Paste the alias and call for the routine by Step #1.
	2.	Paste your code to be tested by Step #2.  Skip this if you're
		testing a ROM call.
	3.	Assemble and run.  Modified flags will be printed out on
		the screen.
#ENDIF

_ClrScrn			=$4a82
_GetKeyey			=$55aa
_Asm_Exec_RAM		=$d748
_PutC				=$4a2b
_NewLine			=$4a5f
_HomeUP				=$4a95
_PutS				=$4a37


#INCLUDE "ti86asm.inc"
#INCLUDE "rom86.asm"
#INCLUDE "ram86.inc"

.ORG _Asm_Exec_RAM

	call _HomeUP
	call _ClrScrn

#IF 0

	Step #1

	Paste call to test here.

EX:
-------------------------------
	call _ClrScrn
-------------------------------
#ENDIF


	call _ClrScrn								; Here's the call to test.




	jp Continue



#IF 0

	Step #2

	Paste code to test here.

#ENDIF

	; This is where the routine would go if
	; you were testing a non-ROM call.









#IF 0

	Step #3

	Assemble and run.
#ENDIF

Continue:

		push af	; 1
		push af	; 2
		push af	; 3
		push af	; 4
		push af	; 5
		push af	; 6

	call c,CarryFlag
		pop af	;6
	call nc,NoCarryFlag
		pop af	;5
	call z,ZeroFlag
		pop af	;4
	call nz,NoZeroFlag
		pop af	;3
	call m,MFlag
		pop af	;2
	call po,ParityOdd
		pop af	;1
	call pe,ParityEven
	ret

MFlag:
	ld hl,MFlagText
	call _PutS
	jp _NewLine
ParityOdd:
	ld hl,ParityOverText
	call _PutS
	jp _NewLine
ParityEven:
	ld hl,ParityEvenText
	call _PutS
	jp _NewLine
CarryFlag:
	ld hl,CarryText
	call _PutS
	jp _NewLine
NoCarryFlag:
	ld hl,NoCarryFlagText
	call _PutS
	jp _NewLine
ZeroFlag:
	ld hl,ZeroFlagText
	call _PutS
	jp _NewLine
NoZeroFlag:
	ld hl,NoZeroFlagText
	call _PutS
	jp _NewLine

MFlagText:			.DB "M Set", 0
ParityOverText:		.DB "Parity Odd", 0
ParityEvenText:		.DB "Parity Even", 0
CarryText:			.DB "Carry", 0
NoCarryFlagText:	.DB "No Carry", 0
ZeroFlagText:		.DB "Zero", 0
NoZeroFlagText:		.DB "No Zero", 0

.END